Bug 28874 - ApplixWare 5.0 install dies
Summary: ApplixWare 5.0 install dies
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-22 15:41 UTC by Chris Runge
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-03 12:00:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Runge 2001-02-22 15:41:13 UTC
Wolverine (RC1)

ApplixWare 5.0 doesn't install any longer. I'm guessing it is an RPM issue
since it installs fine on older releases of RHL

# ./install.bsh
Installing Applixware 5.0 1315...
Preparing...                ###########################################
[100%]
   1:shelf-bin-shelf-base   error: can't unlink /optapplix-RPMDELETE: Is a
directory
error: can't rename /optapplix to /optapplix-RPMDELETE: Is a directory
error: unpacking of archive failed on file /optapplix: cpio: unlink failed
- Is
a directory
error: failed dependencies:
        shelf-bin-shelf-base is needed by shelf-eng-shelf-rsrc-2.2-1315
error: failed dependencies:
        shelf-eng-shelf-rsrc is needed by shelf-eng-bldr-help-2.2-1315
error: failed dependencies:
        shelf-eng-shelf-rsrc is needed by shelf-eng-shelf-help-2.2-1315
.
.
.

A series of failed dependency errors follow. This may also be an Applix
issue, but I'm reporting it per Aaron Brown's suggestion.

Comment 1 Preston Brown 2001-02-23 20:57:07 UTC
please copy output rpm -qp --scripts shelf-bin-shelf-base*rpm.

Comment 2 Chris Runge 2001-02-24 15:10:38 UTC
$ rpm -qp --scripts shelf-bin-shelf-base*rpm
postinstall script (through /bin/sh):
# Set the correct value for AXDATA (axdata/daxdata)
if [ -d $RPM_INSTALL_PREFIX/axdata ]; then
	AXDATA=$RPM_INSTALL_PREFIX/axdata
else
	AXDATA=$RPM_INSTALL_PREFIX/daxdata
fi

# Set the symbolic link for libfontfs
if [ -f $AXDATA/axshlib/libaxfontfs.so ]; then
	pushd $AXDATA/axshlib
	ln -sf libaxfontfs.so libfontfs.so
	popd
fi

# Set the symbolic link for builder
ln -sf $RPM_INSTALL_PREFIX/builder /bin/builder

# Set the menu command

$AXDATA/setup/desktop --install -a builder -s $AXDATA/setup -e $RPM_INSTALL_PREFIX


#------- Remove shelf components ---------#
preuninstall script (through /bin/sh):
# Set the correct value for AXDATA (axdata/daxdata)
if [ -d $RPM_INSTALL_PREFIX/axdata ]; then
	AXDATA=$RPM_INSTALL_PREFIX/axdata
else
	AXDATA=$RPM_INSTALL_PREFIX/daxdata
fi
$AXDATA/setup/desktop --remove -a builder --icons
rm -f /bin/builder


#-------- Remove Pinecone components ---------#


#%verifyscript


#-------- File validation ---------#

Comment 3 Jeff Johnson 2001-04-03 12:00:02 UTC
This is almost certainly an issue with --prefix and/or --relocate.

Comment 4 Jeff Johnson 2001-04-03 13:44:39 UTC
Fixed --relocate in rpm CVS, should be in rpm-4.0.3-0.4 and later.


Note You need to log in before you can comment on or make changes to this bug.